> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kosli.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark product updates as seen

> **Beta** — the Product updates feature is in beta. Requests from organizations without it enabled receive `403 Forbidden`.



## OpenAPI

````yaml https://app.kosli.com/api/v2/openapi.json post /product-updates/{org}/seen
openapi: 3.1.0
info:
  title: Kosli API
  summary: The API for communicating with Kosli
  description: >

    # Authentication 


    When making requests against Kosli API, you can authenticate your requests
    using a bearer token. 

    Set the bearer token in the request Authorization header to a valid API
    key. 

    API Keys can be personal or for service accounts. Check the [service
    accounts
    documentation](https://docs.kosli.com/getting_started/service-accounts/) for
    details. 


    ## Curl example


    ```shell

    curl -H "Authorization: Bearer <<your-api-key>>"
    https://app.kosli.com/api/v2/environments/<<your-org-name>>

    ```
  version: '2.0'
servers:
  - url: https://app.kosli.com/api/v2
    description: EU
  - url: https://app.us.kosli.com/api/v2
    description: US
security:
  - HTTPBearer: []
paths:
  /product-updates/{org}/seen:
    post:
      tags:
        - Product Updates
      summary: Mark product updates as seen
      description: >-
        **Beta** — the Product updates feature is in beta. Requests from
        organizations without it enabled receive `403 Forbidden`.
      operationId: mark_product_updates_seen
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
            title: Org
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProductUpdatesSeenInput'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '403':
          description: You don't have permission to access this resource
          content:
            application/json:
              example:
                message: You don't have permission to access this resource
              schema:
                $ref: '#/components/schemas/ForbiddenResponseModel'
      security:
        - HTTPBearer: []
        - HTTPBasic: []
components:
  schemas:
    ProductUpdatesSeenInput:
      properties:
        ids:
          items:
            type: string
          type: array
          maxItems: 200
          title: Ids
          description: >-
            The ids of the updates the user was shown. An id of an update the
            organization cannot see is ignored.
      type: object
      required:
        - ids
      title: ProductUpdatesSeenInput
    ForbiddenResponseModel:
      properties:
        message:
          type: string
          title: Message
          description: Error message
        errors:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Errors
          description: Validation errors by field
      type: object
      required:
        - message
      title: ForbiddenResponseModel
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.